<script>
export default{
    name:'annonce-vehicule',
    data:()=>({
        typeV: null,
        files: [],
        carburant: null,
        isDriver: null,
        voiture: {},
        typeAnnonce: null,
        typeVehicule: [],
        marqueV: null,
        marqueVehicule: []
    }),
    beforeMount(){
    },
    mounted(){
        
    },

    created() {
        this.getTypeVehicule();
        this.getMarqueVehicule();
    },
    methods:{
        async getTypeVehicule() {

            await this.$store.dispatch('autoshop/loadTypeVehicules');
            this.typeVehicule = this.$store.getters["autoshop/typeVehicule"];
            console.log(this.typeVehicule);
        },

        async getMarqueVehicule() {
            await this.$store.dispatch('autoshop/loadMarqueVehicules');
            this.marqueVehicule = this.$store.getters["autoshop/marqueVehicule"];

        },
        validate(){
            console.log(this.voiture.prix)
            let data = new FormData()
            data.append('nom',this.voiture.nomVehicule)
            data.append('prix', this.voiture.prix)
            data.append('isVente', (this.voiture.carburant)?true:false)
            data.append('contactun', this.voiture.tel)
            data.append('contactdeux', this.voiture.tel2)
            data.append('type_vehicule', this.voiture.type)
            data.append('id_marque', this.voiture.marque)
            this.voiture.file.forEach((file) => {
                data.append('image', file)
            })
            data.append('description', this.voiture.description)
            data.append('video', this.voiture.url)
            data.append('année', this.voiture.annee)
            data.append('carburant', this.voiture.carburant)
            console.log('les datas a load', data)
            console.log(this.voiture.marque)
            this.$store.dispatch('INSERT_ANNONCES', {data: data, token:this.$store.getters.USER.token})
            location.href = '/'
            return false
        }
    }
}
</script>

<template>
  <div>
  <v-row>
        <v-col sm="12">
            <v-text-field 
            label="Numéro de téléphone"
            v-model="voiture.tel"
            hide-details="auto"></v-text-field>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-text-field 
            label="Nom du véhicule"
            v-model="voiture.nomVehicule"
            hide-details="auto"></v-text-field>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-autocomplete
                v-model="voiture.type"
                :items="typeVehicule"
                item-text="nom"
                dense
                filled
                label="Type"
            ></v-autocomplete>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="12">
            <v-autocomplete
                v-model="voiture.marque"
                :items="marqueVehicule"
                item-text="nom"
                dense
                filled
                label="Marque"
            ></v-autocomplete>
        </v-col>
    </v-row>
    <v-row>
        <v-col sm="6">
            <v-file-input
                label="Selectionner des photos"
                color="deep-purple accent-4"
                counter
                v-model="voiture.file"
                multiple
                placeholder="Select your files"
                prepend-icon="mdi-paperclip"
                filled
                :show-size="1000"
            >
                <template v-slot:selection="{ index, text }">
                    <v-chip
                        v-if="index < 2"
                        color="deep-purple accent-4"
                        dark
                        label
                        small
                    >
                        {{ text }}
                    </v-chip>

                    <span
                        v-else-if="index === 2"
                        class="overline grey--text text--darken-3 mx-2"
                    >
                        +{{ files.length - 2 }} File(s)
                    </span>
                </template>
            </v-file-input>
        </v-col>
        <v-col>
            <v-text-field 
            label="Année du véhicule"
            v-model="voiture.annee"
            hide-details="auto"></v-text-field>
        </v-col>
        </v-row>
        <v-row>
            <v-col sm="12">
                <v-textarea
                filled
                name="input-7-4"
                label="Description"
                v-model="voiture.description"
                ></v-textarea>
            </v-col>
        </v-row>
        <v-row>
            <v-col sm="6">
                <v-radio-group v-model="typeAnnonce">
                    <v-radio
                        :label="`vente`"
                        :value="0"
                    ></v-radio>
                    <v-radio
                        :label="`location`"
                        :value="1"
                    ></v-radio>
                </v-radio-group>
            </v-col>
            <v-col sm="6">
                <v-radio-group v-model="voiture.conducteur" v-if="typeAnnonce == 1">
                    <v-radio
                        :label="`sans chauffeur`"
                        value="sans chauffeur"
                    ></v-radio>
                    <v-radio
                        :label="`avec chauffeur`"
                        value="avec chauffeur"
                    ></v-radio>
                </v-radio-group>
                <v-radio-group v-model="voiture.carburant"  v-if="typeAnnonce == 0">
                    <v-radio
                        :label="`Essence`"
                        :value="0"
                    ></v-radio>
                    <v-radio
                        :label="`Gasoil`"
                        :value="1"
                    ></v-radio>
                </v-radio-group>
            </v-col>
        </v-row>
        <v-row>
            <v-col sm="12">
                <v-text-field 
                label="Prix du véhicule"
                v-model="voiture.prix"
                hide-details="auto"></v-text-field>
            </v-col>
        </v-row>
        <v-row>
            <v-col sm="12">
                <v-btn color="primary" @click="validate">
                    Valider
                </v-btn>
            </v-col>
        </v-row>
  </div>
</template>
